* {
  margin: 0;
}

body {
  background-image: url(../img/Фон1.png);
  background-repeat: no-repeat;
  background-size: cover;
  height: 100vh;
  font-family: "Ubuntu", sans-serif;
}

.header {
  height: 58px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: white;
  background-color: rgba(0, 0, 0, 0.4);
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
  padding: 0 79px;
  transition-duration: 0.2s;
}
.header:hover {
  box-shadow: none;
}
.logo {
  text-transform: uppercase;
  cursor: pointer;
  transition-duration: 0.2s;
}
.logo:hover,
.welcome a:hover {
  color: rgba(60, 184, 120, 1);
}
.icons-welcome {
  width: 350px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.icons-welcome image {
  transition-duration: 0.2s;
}
.icons-welcome image:hover {
  filter: invert(64%) sepia(33%) saturate(707%) hue-rotate(96deg)
    brightness(88%) contrast(93%);
}
.welcome::before {
  content: "";
  background-color: rgba(255, 255, 255, 0.9);
  opacity: 0.5;
  width: 1px;
  height: 19px;
  margin-right: 27px;
}
.welcome {
  display: flex;
  padding: 17px 17px 17px 0;
}
.welcome a {
  text-decoration: none;
  color: white;
  transition-duration: 0.2s;
}
.svg:hover {
  fill: seagreen;
}
.log-in {
  padding-right: 5px;
}
.main-container {
  display: flex;
  justify-content: center;
  padding-top: calc(15vh - 58px);
}
.main {
  width: 444px;
  height: 584px;
  background-color: white;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
  position: relative;
}
.main-content {
  padding: 0 60px 0;
}
.square {
  width: 18px;
  height: 18px;
  position: absolute;
  background-color: rgba(60, 184, 120, 1);
  top: 29px;
}
.main-signup {
  padding-top: 29px;
  padding-bottom: 15px;
  color: rgba(60, 184, 120, 1);
  font-size: 14px;
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
}
.main-signup span:first-child {
  font-size: 20px;
  color: black;
}
.buttons {
  display: flex;
  gap: 4px;
}
.button {
  font-family: "Ubuntu", sans-serif;
  font-size: 16px;
  color: white;
  flex: 1;
  border: none;
  border-radius: 3px;
  height: 48px;
}
.facebook {
  background-color: rgba(48, 93, 184, 1);
  transition-duration: 0.2s;
}
.facebook:hover {
  background-color: rgba(2, 34, 99, 1);
}
.google {
  background-color: rgba(223, 74, 50, 1);
  transition-duration: 0.2s;
}
.google:hover {
  background-color: rgba(171, 31, 9, 1);
}
.button svg {
  float: left;
  padding-left: 12px;
}
.button span {
  position: relative;
}
.button span::before {
  position: absolute;
  top: -3px;
  left: -18px;
  content: "";
  width: 1px;
  height: 28px;
  background-color: rgba(0, 0, 0, 0.1);
}
.devider {
  display: flex;
  align-items: center;
  padding-top: 30px;
  padding-bottom: 12px;
}
.devider span {
  padding: 0 5px 0;
  color: rgba(132, 132, 132, 1);
}
hr {
  border: none;
  background-color: rgba(0, 0, 0, 0.1);
  width: 47%;
  height: 1px;
}

.input {
  width: 100%;
  height: 44px;
  margin-bottom: 15.5px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 4px;
}
.input::placeholder {
  color: rgba(190, 190, 190, 1);
  padding-left: 20px;
  font-family: "Ubuntu", sans-serif;
}
.input:focus {
  box-shadow: 0 3px 8px 0 rgba(0, 0, 0, 0.21);
}

.label-span {
  padding-left: 15px;
}
.checkbox-span {
  color: rgba(60, 184, 120, 1);
  transition-duration: 0.2s;
}
.checkbox-span:hover {
  color: rgba(1, 129, 63, 1);
  text-decoration: underline;
  cursor: pointer;
}
.checkbox-input {
  position: absolute;
}
.checkbox .checkbox {
  position: relative;
  z-index: 2;
  cursor: pointer;
}
.checkbox .checkbox-input::before {
  content: "";
  position: absolute;
  left: 15px;
  width: 110px;
  height: 16px;
}

.checkbox .checkbox-input::after {
  content: "";
  position: absolute;
  left: 15px;
  width: 110px;
  height: 16px;
}
.submit {
  margin-top: 15px;
  width: 100%;
  height: 44px;
  border: none;
  border-radius: 4px;
  background-color: rgba(60, 184, 120, 1);
  color: white;
  font-family: "Ubuntu", sans-serif;
  font-size: 16px;
  transition-duration: 0.2s;
}

.submit:hover {
  background-color: rgba(1, 129, 63, 1);
}
